<?php

namespace Planaday\Config\Payment;

use Planaday\Config\OptionGroupEnum;

enum PaymentOptionsEnum: string implements OptionGroupEnum{
	case TEST_PAYMENT_ACTIVE = 'TEST_PAYMENT_ACTIVE';
	case PAYMENT_ACTIVE = 'PAYMENT_ACTIVE';
	case CANCEL_BOOKING_IF_NO_PAYMENT = 'CANCEL_BOOKING_IF_NO_PAYMENT';
	case PAYMENT_NOTICE = 'PAYMENT_NOTICE';
	case MOLLIE_API_KEY_TEST = 'MOLLIE_API_KEY_TEST';
	case MOLLIE_API_KEY_LIVE = 'MOLLIE_API_KEY_LIVE';
	case ALLOW_BULK_PAYMENT = 'ALLOW_BULK_PAYMENT';
	case ALLOW_COMPANY_INVOICE = 'ALLOW_COMPANY_INVOICE';

	public static function getClassName(): string {
		return PaymentSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}